#! /bin/bash
# (c) Thomas BERNARD 2013

MANUAL_VOL="INDICE_TS"

echo "Mavericks Patch for $MANUAL_VOL"
MYDIR=`dirname "$0"`
killall Flip-book

if [ ! -d "/Volumes/$MANUAL_VOL" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Volume $MANUAL_VOL introuvable. Veuillez inserer la clé USB." buttons { "OK" }
end tell
EOT
exit 1
fi

# /Volumes/INDICE_TS//content/INDICE_TS_SPECIALITE/data/Flipbook.app/Contents/MacOS/Flipbook
# /Volumes/INDICE_TS//content/INDICE_TS_SPECIFIQUE/data/Flipbook.app/Contents/MacOS/Flipbook
DEST_DIR1="/Volumes/$MANUAL_VOL/content/INDICE_TS_SPECIALITE/data/Flipbook.app/Contents"
DEST_DIR2="/Volumes/$MANUAL_VOL/content/INDICE_TS_SPECIFIQUE/data/Flipbook.app/Contents"
if [ ! -d "$DEST_DIR1" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Viewer introuvable sur la clé $MANUAL_VOL. Veuillez effectuer une restauration." buttons { "OK" }
end tell
EOT
exit 1
fi

osascript <<EOT
tell application "Finder"
	activate
	open disk "$MANUAL_VOL"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR1/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR1/Resources/lidy.cfg"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR2/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR2/Resources/lidy.cfg"
	display dialog "Patch de la clé $MANUAL_VOL effectué avec succès"
end tell
EOT

